/*
 * Licensed to STRATIO (C) under one or more contributor license agreements.
 * See the NOTICE file distributed with this work for additional information
 * regarding copyright ownership.  The STRATIO (C) licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.stratio.meta.core.structures;

import com.stratio.meta.core.utils.ParserUtils;

import java.util.List;

public class SelectorFunction extends SelectorMeta {

  private String name;
  private List<SelectorMeta> params;

  public SelectorFunction(String name, List<SelectorMeta> params) {
    this.type = TYPE_FUNCTION;
    this.name = name;
    this.params = params;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public List<SelectorMeta> getParams() {
    return params;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder(name);
    sb.append("(").append(ParserUtils.stringList(params, ", ")).append(")");
    return sb.toString();
  }

  @Override
  public void addTablename(String tablename) {
    for(SelectorMeta param: params){
      param.addTablename(tablename);
    }
  }

}
