/*
 * Licensed to STRATIO (C) under one or more contributor license agreements.
 * See the NOTICE file distributed with this work for additional information
 * regarding copyright ownership.  The STRATIO (C) licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.stratio.meta.core.planner.statements;


import com.stratio.meta.core.planner.BasicPlannerTest;
import com.stratio.meta.core.statements.DeleteStatement;
import com.stratio.meta.core.structures.Relation;
import com.stratio.meta.core.structures.RelationCompare;
import com.stratio.meta.core.structures.StringTerm;
import org.testng.annotations.Test;

public class DeleteStatementTest  extends BasicPlannerTest {

    @Test
    public void testPlanForDelete(){
        String input = "DELETE FROM demo.users WHERE name = 'name_0';";
        stmt = new DeleteStatement();
        ((DeleteStatement)stmt).setTableName("demo.users");
        Relation relation = new RelationCompare("name", "=", new StringTerm("name_0"));
        ((DeleteStatement)stmt).addRelation(relation);
        validateCassandraPath("testPlanForDelete");
    }
}
